Partitions (Slurm)
Cedana API for partitions (Slurm)
Paginated. total_count is the number of partitions before paging.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetinteger · nullableOptional
Row offset (default 0)
limitinteger · nullableOptional
Page size (default 50, max 500)
Responses
200
Returns partitions with total count
application/json
total_countinteger · int64Required
400
Invalid query parameters
application/json
500
Failed to fetch from database
application/json
4XX
Client error
application/json
5XX
Server error
application/json
get/v1/slurm/partitions
GET /v1/slurm/partitions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"partitions": [
{
"default_time": 1,
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_default": true,
"max_time": 1,
"name": "text",
"nodes": "text",
"priority_tier": 1,
"state": "text",
"total_cpus": 1,
"total_nodes": 1
}
],
"total_count": 1
}Receives a batch of SLURM partitions from the cedana-slurm plugin and upserts them. Partitions missing from the payload are marked STALE.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
cluster_idstring · uuidRequired
Responses
200
Partitions synced successfully
text/plain
stringOptional
404
Cluster not registered
application/json
500
Failed to sync partitions to database
application/json
4XX
Client error
application/json
5XX
Server error
application/json
post/v1/slurm/partitions/sync
POST /v1/slurm/partitions/sync HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 211
{
"cluster_id": "123e4567-e89b-12d3-a456-426614174000",
"partitions": [
{
"default_time": 1,
"is_default": true,
"max_time": 1,
"name": "text",
"nodes": "text",
"priority_tier": 1,
"state": "text",
"total_cpus": 1,
"total_nodes": 1
}
]
}textLast updated
Was this helpful?